{
  services.gpodder.enable = true;
  networking.firewall.allowedTCPPorts = [ 3005 ];
  services.nginx.virtualHosts."pod.mossnet.lan" = {
    extraConfig = "client_max_body_size 20M;";

    locations."/" = {
      extraConfig = ''
        proxy_pass http://localhost:3005/;
        proxy_set_header    X-Forwarded-Proto $scheme;
        proxy_set_header    X-Real-IP $remote_addr;
        proxy_set_header    X-Forwarded-For $proxy_add_x_forwarded_for;
      '';
    };
  };
}
